summaryrefslogtreecommitdiffstats
path: root/games/lgogdownloader
diff options
context:
space:
mode:
author Marcel Saegebarth <marc@mos6581.de>2015-03-06 22:57:54 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-07 07:05:19 +0700
commit78a4fa55913686ed51996081a3f91ce0fc076436 (patch)
treebe6eadaa7ab6696f353e4859e73b91d3e58a4c1f /games/lgogdownloader
parente114cf230e98c2518209b614cba87c09ea7dec85 (diff)
downloadslackbuilds-78a4fa55913686ed51996081a3f91ce0fc076436.tar.gz
slackbuilds-78a4fa55913686ed51996081a3f91ce0fc076436.tar.xz
games/lgogdownloader: Added (gog.com downloader).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/lgogdownloader')
-rw-r--r--games/lgogdownloader/README6
-rw-r--r--games/lgogdownloader/lgogdownloader.SlackBuild104
-rw-r--r--games/lgogdownloader/lgogdownloader.info10
-rw-r--r--games/lgogdownloader/slack-desc19
4 files changed, 139 insertions, 0 deletions
diff --git a/games/lgogdownloader/README b/games/lgogdownloader/README
new file mode 100644
index 0000000000..fa3f79e8a9
--- /dev/null
+++ b/games/lgogdownloader/README
@@ -0,0 +1,6 @@
+LGOGDownloader is an open source downloader to GOG.com for Linux
+users using the same API as the official GOGDownloader.
+
+Note:
+You need a static rhash library for this to work so pass "STATICLIB=yes"
+to "rhash.SlackBuild".
diff --git a/games/lgogdownloader/lgogdownloader.SlackBuild b/games/lgogdownloader/lgogdownloader.SlackBuild
new file mode 100644
index 0000000000..79b6c4c508
--- /dev/null
+++ b/games/lgogdownloader/lgogdownloader.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for "lgogdownloader".
+
+# Copyright 2015 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lgogdownloader
+VERSION=${VERSION:-2.20}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+if [ $(ls /usr/lib${LIBDIRSUFFIX} | grep -c librhash.a) -ne 1 ]; then
+ cat << EOF
+
+ You need a static rhash library for this to work so pass "STATICLIB=yes"
+ to "rhash.SlackBuild".
+
+ # STATICLIB=yes sh rhash.SlackBuild
+
+EOF
+ exit 1
+fi
+
+
+rm -rf $PKG
+rm -rf $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find . -type f -exec sed -i 's|#include <jsoncpp/json/json.h>|#include <jsoncpp/json.h>|' {} \;
+sed -i "s|CFLAGS_RELEASE = \$(CFLAGS) -O2|CFLAGS_RELEASE = \$(CFLAGS) $SLKCFLAGS|" Makefile
+
+make release
+make install MANPREFIX=/usr DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/lgogdownloader/lgogdownloader.info b/games/lgogdownloader/lgogdownloader.info
new file mode 100644
index 0000000000..eede324d8b
--- /dev/null
+++ b/games/lgogdownloader/lgogdownloader.info
@@ -0,0 +1,10 @@
+PRGNAM="lgogdownloader"
+VERSION="2.20"
+HOMEPAGE="https://sites.google.com/site/gogdownloader/home/"
+DOWNLOAD="https://sites.google.com/site/gogdownloader/lgogdownloader-2.20.tar.gz"
+MD5SUM="e9b89918addaa763430141a15a24b5e7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="htmlcxx jsoncpp liboauth rhash tinyxml"
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"
diff --git a/games/lgogdownloader/slack-desc b/games/lgogdownloader/slack-desc
new file mode 100644
index 0000000000..4652d2a7be
--- /dev/null
+++ b/games/lgogdownloader/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lgogdownloader: lgogdownloader (gog.com downloader)
+lgogdownloader:
+lgogdownloader: LGOGDownloader is an open source downloader to GOG.com for Linux
+lgogdownloader: users using the same API as the official GOGDownloader.
+lgogdownloader:
+lgogdownloader: Homepage: https://sites.google.com/site/gogdownloader/home/
+lgogdownloader:
+lgogdownloader:
+lgogdownloader:
+lgogdownloader:
+lgogdownloader: